=== ffmpeg/libavfilter/x86/Makefile ===
OBJS-$(CONFIG_GRADFUN_FILTER)                += x86/gradfun.o
OBJS-$(CONFIG_VOLUME_FILTER)                 += x86/af_volume_init.o
OBJS-$(CONFIG_YADIF_FILTER)                  += x86/yadif.o

YASM-OBJS-$(CONFIG_HQDN3D_FILTER)            += x86/hqdn3d.o
YASM-OBJS-$(CONFIG_VOLUME_FILTER)            += x86/af_volume.o
