=== ffmpeg/libswscale/sparc/Makefile ===
VIS-OBJS += sparc/yuv2rgb_vis.o                                         \
