=== debian/changelog ===
mplayer (2:1.1+dfsg1-0ubuntu3) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:56:02 +0000

mplayer (2:1.1+dfsg1-0ubuntu2) trusty; urgency=medium

  * Minimal port to arm64.  I haven't done any assembler optimisations so
    this may not be very fast, but it's at least good enough to satisfy
    dependencies of other packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 11:37:33 +0000

mplayer (2:1.1+dfsg1-0ubuntu1) trusty; urgency=medium

  * Upload debian/master.experimental
    92e6d4353a3a95cdf2bf1d24d9d6bfb331ad672f to ubuntu Trusty.
  * Add get-orig-source target.
  * Merge remaining ubuntu changes:
    - drop ffmpeg-dbg recommends

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Feb 2014 15:56:55 +0000

mplayer (2:1.1+dfsg1-1) UNRELEASED; urgency=low

  [ upstream ]
  * New release.
    + Fixes "mplayer freezes while playing back a theora video file".
      Closes: #590441.
    + Fixes playback with theora.
    Closes: #680595.

  [ Reinhard Tartler ]
  * Update and refresh patches.
  * Improve package descriptions.
    Closes: #641675. Thanks to Paul Stewart <paulbrianstewart@gmail.com>.

  [ Jonas Smedegaard ]
  * Tighten build-dependencies on libpostproc-dev and libswscale-dev.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Jan 2013 23:48:09 +0100
